Absolutely indispensable ! Rated 5 out of 5 stars

WikiLook does not as yet work in Firefox 5 ... I will have to revert to Firefox 4 as I am now irretrievably wedded to the wonders of WikiLook and will not reinstall Firefox 5 until it supports WikiLook.
Keep on truckin ...